AWS IoT Device SDK C++ v2: Aws::Iotshadow::UpdateShadowRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::UpdateShadowRequest Class Referencefinal

`#include <UpdateShadowRequest.h>`

## Public Member Functions
| UpdateShadowRequest ()=default
| UpdateShadowRequest (const Crt::JsonView &doc)
UpdateShadowRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Iotshadow::ShadowState > | State
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< int32_t > | Version
Aws::Crt::Optional< Aws::Crt::String > | ClientToken

## Detailed Description

Data needed to make an UpdateShadow request.

## Constructor & Destructor Documentation

## ◆ UpdateShadowRequest() [1/2]

Aws::Iotshadow::UpdateShadowRequest::UpdateShadowRequest | ( |  | ) |
| default

## ◆ UpdateShadowRequest() [2/2]

Aws::Iotshadow::UpdateShadowRequest::UpdateShadowRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

UpdateShadowRequest & Aws::Iotshadow::UpdateShadowRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::UpdateShadowRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::UpdateShadowRequest::ClientToken

Optional. A client token used to correlate requests and responses. Enter an arbitrary value here and it is reflected in the response.

## ◆ State

Aws::Crt::Optional<Aws::Iotshadow::ShadowState> Aws::Iotshadow::UpdateShadowRequest::State

Requested changes to the shadow state. Updates affect only the fields specified.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::UpdateShadowRequest::ThingName

Aws IoT thing to update the (classic) shadow of.

## ◆ Version

Aws::Crt::Optional<int32_t> Aws::Iotshadow::UpdateShadowRequest::Version

(Optional) The Device Shadow service processes the update only if the specified version matches the latest version.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/UpdateShadowRequest.h
- shadow/source/UpdateShadowRequest.cpp